:root {
  --primary-color: #CF0F22;
  --primary-color-hover: #882036;
  --secondary-color: #283033;
  --third-color: #4180c3;
}

body {
  font-family: sans-serif;
  line-height: 1;
  font-size: 16px;
  /* background-image: linear-gradient(to right, #293134, #242d34, #1c262f); */
  background-color: #F4F4F4
}

a {
  text-decoration: none;
}

h2 {
  color: #CF0F22;
  margin-top: -28px;
  padding: 100px 0 20px 0;
  font-size: 24px;
  font-weight: bolder;
  text-align: center;
  margin-bottom: 20px;
}

@media (min-width: 992px) {
  h2 {
    font-size: 30px;
    padding: 120px 0 20px 0;

  }
}

/* 漢堡選單 */
.hamburger {
  display: none;
  cursor: pointer;
}

.hamburger .line {
  width: 25px;
  height: 2.5px;
  background: #333;
  border-radius: 25%;
  margin: 6px 0;
  transition: all 0.3s ease-in-out;
}

.hamburger.active .line:nth-child(1) {
  transform: translateY(11.2px) rotate(45deg);
}

.hamburger.active .line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .line:nth-child(3) {
  transform: translateY(-6px) rotate(-45deg);
}

@media (max-width: 992px) {
  .hamburger {
    display: block;
  }
}

/* menu */
.navbar-toggler,
.navbar-toggler:focus {
  border: none;
  color: #fff;
  box-shadow: none;
}

.logo {
  width: 60px;
  height: 60px;
  background-image: url("../img/logo.png");
  background-repeat: no-repeat;
  background-size: 100%;
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
  margin-bottom: 0;
}

@media (min-width: 576px) {
  .logo {
    width: 80px;
    height: 80px;
  }
}

.nav-bg {
  transition: all 0.2s ease;
  /* background-image: linear-gradient(to right, #fff, #333333); */
  background: url(../img/header.jpg) no-repeat center right/ cover scroll;
}

.nav-bg.sticky {
  background: var(--secondary-color);
  box-shadow: 0 0.125rem 0.25rem rgba(255, 255, 255, 0.075);
}

nav {
  transition: all 0.2s ease;
}

nav img {
  width: 100px;
}

nav .scroll a,
.navbar-nav .nav-link {
  font-size: 18px;
  font-weight: bold;
  outline: 0;
  padding: 30px 15px;
  margin: 0 5px;
  color: #333;
  transition: all 0.2s ease;
}

nav .scroll a:hover {
  background: #ddd;
  color: #666;
}

/* footer */
.footer {
  padding-top: 10px;
  padding-bottom: 10px;
  background: #333;
  color: #fff;
}

.footer p {
  font-size: 13px;
  padding: 10px 0;
  margin-bottom: 0;
  text-align: center;
}

.footer a {
  transition: all 0.3s;
  color: #ddd;
  margin: 0 5px;
}

/* contact */


.section-contact span {
  color: var(--primary-color);
  font-weight: bolder;
}

.form-label {
  color: #fff;
  font-weight: bolder;
  margin-top: 20px;
  margin-bottom: 10px;
}

/* product style */
.section-productStyle {
  position: relative;
}

.section-productStyle::after {
  content: '';
  position: absolute;
  top: 60%;
  transform: translateY(-50%);
  width: 100%;
  display: none;
  height: 250px;
  opacity: 0.2;
  background: #283033;

}

.section-productStyle a {
  position: relative;
  z-index: 1;
}

.section-productStyle img,
.section-applicable img {
  width: 100%;
  -webkit-filter: drop-shadow(5px 5px 5px #333);
  filter: drop-shadow(5px 5px 5px #333);
  position: relative;
  z-index: 1;
}

.section-productStyle h3,
.section-applicable h3 {
  text-align: left;
  color: #333;
  font-weight: bolder;
  font-size: 20px;
  transition: all 0.2s ease-in-out;
  position: relative;
  padding: 30px 0 30px 30px;
  z-index: 1;
}

@media (min-width: 768px) {

  .section-productStyle h3,
  .section-applicable h3 {
    font-size: 24px;

  }
}

@media (min-width: 992px) {
  .section-productStyle::after {
    display: block;
  }


}

.section-productStyle h3::after,
.section-applicable h3:after {
  content: '►';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  color: var(--primary-color);
  font-size: 18px;
}

.section-productStyle a:hover h3 {
  color: var(--primary-color);
}



.section-contact {
  background: #333333;
  padding: 60px 0 0px;
}


.section-contact h2 {
  padding-top: 0;
  padding-bottom: 0px;
}

@media (min-width: 992px) {
  .section-contact {
    padding: 120px 0 60px;
  }

  .section-contact h2 {
    padding-top: 0;
    padding-bottom: 40px;
  }
}

.section-contact h3 {
  color: var(--primary-color);
  font-weight: bolder;
  margin-bottom: 30px;
}

.section-contact p,
.section-contact a {
  color: #fff;
}


/* scrollTop */
.arrow-up {
  position: fixed;
  bottom: 50px;
  right: 15px;
  transition: all 0.3s ease-in-out;
  opacity: 0;
  visibility: hidden;
}

.arrow-up.active {
  top: auto;
  bottom: 60px;
  opacity: 1;
  visibility: visible;
}

.arrow-up div {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  background: #ccc;
  cursor: pointer;
  color: var(--primary-color);
  font-weight: bolder;
  transition: all 0.3s ease;
  text-transform: uppercase;
}

/* 輪播 */
.section-carousel {
  margin-top: 68px;
  padding: 0;
}



@media (min-width: 576px) {
  .section-carousel {
    margin-top: 70px;
  }

}

@media (min-width: 768px) {
  .section-carousel {
    margin-top: 68px;
  }

  h2 {
    font-size: 40px;
  }

}

.carousel-control-next,
.carousel-control-prev {
  top: 50%;
  transform: translate(0, -50%);
  width: 25px;
  height: 60px;
  background: #aaa;
}

.carousel-indicators [data-bs-target] {
  width: 15px;
  height: 15px;
  border-radius: 50%;
}

.carousel-indicators [data-bs-target].active {
  opacity: 0.8;
  background-color: var(--primary-color-hover);
}

.carousel-indicators {
  margin-bottom: 0;
}

.loading {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #000;
  background-image: linear-gradient(to right, #283033 0%, #283033 100%);
  z-index: 9999;
  opacity: 0.9;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
}

.sk-chase {
  width: 40px;
  height: 40px;
  position: relative;
  animation: sk-chase 2.5s infinite linear both;
}

.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  animation: sk-chase-dot 2.0s infinite ease-in-out both;
}

.sk-chase-dot:before {
  content: '';
  display: block;
  width: 25%;
  height: 25%;
  background-color: #fff;
  border-radius: 100%;
  animation: sk-chase-dot-before 2.0s infinite ease-in-out both;
}

.sk-chase-dot:nth-child(1) {
  animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2) {
  animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3) {
  animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4) {
  animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5) {
  animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6) {
  animation-delay: -0.6s;
}

.sk-chase-dot:nth-child(1):before {
  animation-delay: -1.1s;
}

.sk-chase-dot:nth-child(2):before {
  animation-delay: -1.0s;
}

.sk-chase-dot:nth-child(3):before {
  animation-delay: -0.9s;
}

.sk-chase-dot:nth-child(4):before {
  animation-delay: -0.8s;
}

.sk-chase-dot:nth-child(5):before {
  animation-delay: -0.7s;
}

.sk-chase-dot:nth-child(6):before {
  animation-delay: -0.6s;
}

@keyframes sk-chase {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot {

  80%,
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4);
  }

  100%,
  0% {
    transform: scale(1.0);
  }
}